org.vertx.java.deploy.impl.jython

## Class JythonVerticle

- java.lang.Object
- - org.vertx.java.deploy.Verticle
  - - org.vertx.java.deploy.impl.jython.JythonVerticle

    public class JythonVerticle
    extends Verticle

### Field Summary

### Fields inherited from class org.vertx.java.deploy.Verticle

`container, vertx`

### Method Summary

Methods
`void` `start()` Vert.x calls the start method when the verticle is deployed
`void` `stop()` Vert.x calls the stop method when the verticle is undeployed.

### Methods inherited from class org.vertx.java.deploy.Verticle

`getContainer, getVertx, setContainer, setVertx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### start

    public void start()
               throws java.lang.Exception

Description copied from class: `Verticle`
Vert.x calls the start method when the verticle is deployed

Specified by:
  `start` in class `Verticle`
Throws:
  `java.lang.Exception`

#### stop

    public void stop()
              throws java.lang.Exception

Description copied from class: `Verticle`
Vert.x calls the stop method when the verticle is undeployed. Put any cleanup code for your verticle in here

Overrides:
  `stop` in class `Verticle`
Throws:
  `java.lang.Exception`